Bullet Collision Detection & Physics Library: btDiscreteCollisionDetectorInterface::Result Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btDiscreteCollisionDetectorInterface::Result Struct Referenceabstract

`#include <btDiscreteCollisionDetectorInterface.h>`

Inheritance diagram for btDiscreteCollisionDetectorInterface::Result:
[legend]

## Public Member Functions
virtual | ~Result ()
virtual void | setShapeIdentifiersA (int partId0, int index0)=0
| setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner
virtual void | setShapeIdentifiersB (int partId1, int index1)=0
virtual void | addContactPoint (const btVector3 &normalOnBInWorld, const btVector3 &pointInWorld, btScalar depth)=0

## Detailed Description

Definition at line 29 of file btDiscreteCollisionDetectorInterface.h.

## Constructor & Destructor Documentation

## ◆ ~Result()

virtual btDiscreteCollisionDetectorInterface::Result::~Result | ( |  | ) |
| inlinevirtual

Definition at line 31 of file btDiscreteCollisionDetectorInterface.h.

## Member Function Documentation

## ◆ addContactPoint()

virtual void btDiscreteCollisionDetectorInterface::Result::addContactPoint | ( | const btVector3 & | normalOnBInWorld,
|  | const btVector3 & | pointInWorld,
|  | btScalar | depth
| ) |  |
| pure virtual

Implemented in btBridgedManifoldResult, btManifoldResult, btStorageResult, btPointCollector, and btPerturbedContactResult.

## ◆ setShapeIdentifiersA()

virtual void btDiscreteCollisionDetectorInterface::Result::setShapeIdentifiersA | ( | int | partId0,
|  | int | index0
| ) |  |
| pure virtual

setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner

Implemented in btManifoldResult, and btPointCollector.

## ◆ setShapeIdentifiersB()

virtual void btDiscreteCollisionDetectorInterface::Result::setShapeIdentifiersB | ( | int | partId1,
|  | int | index1
| ) |  |
| pure virtual

Implemented in btManifoldResult, and btPointCollector.

The documentation for this struct was generated from the following file:

- btDiscreteCollisionDetectorInterface.h